Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 152880

Summary: KOffice multiple vulnerabilities (CAN-2005-2971, CAN-2005-3191, CVE-2005-3192, CAN-2005-3193, CVE-2005-3624, CVE-2005-3625, CVE-2005-3626, CVE-2005-3627)
Product: [Retired] Fedora Legacy Reporter: David Lawrence <dkl>
Component: kofficeAssignee: Fedora Legacy Bugs <bugs>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: deisenst
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: LEGACY, NEEDSWORK, rh90, 1, 2, 3
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-12 00:29:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 179804    

Description David Lawrence 2005-03-30 23:30:47 UTC
according to http://www.mandrakesoft.com/security/advisories?name=MDKSA-2004:165
, koffice also includes the buggy xpdf code vulnerable to CAN-2004-0888,0889,1125.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:30 -------

This bug previously known as bug 2372 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2372
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was bugzilla.fedora.us@beej.org.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 David Eisenstein 2006-02-06 10:31:13 UTC
CAN-2004-0888 & CAN-2004-0889 affect KOffice 1.3 through 1.3.4.
(See http://www.kde.org/info/security/2004_xpdf_integer_overflow.php).

CAN-2004-1125 affects KOffice 1.3 to 1.3.5.
(See http://www.kde.org/info/security/2004_xpdf_integer_overflow_2.php).

These two vulnerabilities affect only FC2, but they were fixed when FC2
was under Red Hat updates, so they do not affect us.

New KOffice vulnerabilities have popped up in the meantime:

  * CAN-2005-0064 - KOffice PDF Import Filter Vulnerability
    http://www.kde.org/info/security/advisory-20050120-1.txt
    Affects KOffice 1.3 - 1.3.5.
    Also a FC2-only vulnerability; also already fixed.
    
 Everything above this line does not affect us.
--------------------------------------------------
 Everything below this line affects us.

  * CAN-2005-2971 - KWord RTF import buffer overflow
    http://www.kde.org/info/security/advisory-20051011-1.txt
    Affects KOffice 1.2.0 - 1.4.1.  This impacts RHL9, FC1 & FC2.

  * CAN-2005-3191, CVE-2005-3192, CAN-2005-3193, CVE-2005-3624, 
    CVE-2005-3625, CVE-2005-3626, CVE-2005-3627:
    kpdf/xpdf multiple integer overflows
    http://www.kde.org/info/security/advisory-20051207-2.txt
    Affects KOffice 1.3.0 - 1.4.2.  This impacts FC2 & FC3.


Comment 2 David Eisenstein 2007-04-12 00:29:08 UTC
Red Hat Linux and Fedora Core releases <=4 are now completely unmaintained.
These bugs can't be fixed in these versions.  If the issue still persists in
current Fedora Core releases, please reopen.  Thank you, and sorry about this.